#define WITH_LCD 1

#include <SPI.h>
#include <Servo.h>
#include "Thermistor.h"
#include "pin_map.h"

float Temp_F  = 0;
float Temp_C  = 0;
Thermistor Thermistor1(TEMP_0_PIN);       // create thermistor object
Servo myservo;                            // create servo object to control a servo
int pos;
int prevPos = 180; // variable to hold servo position

void setup() {
  Serial.begin(115200);  // Initialize serial port for debugging.
  Serial.println("RAMPS SERVO TEST");
  pinMode(TEMP_0_PIN, INPUT_PULLUP);      // configure RAPMS TEMP_0_PIN for reading thermistor (MEGA pin 13 from pin_map.h)
  myservo.attach(SERVO0_PIN);             // attache servo object to the servo on SERVO0_PIN (MEGA pin 11 from pin_map.h)
  Serial.println("TESTING SERVO");
  for (pos = 0; pos <= 180; pos += 1) {   // sweeps servo from 0 to 180 degrees
    myservo.write(pos);
    delay(15);
  }
}


void loop() {
  Temp_C = Thermistor1.getValue();        // read temperature from thermistor
  Serial.println(Temp_C);
  Temp_F = Temp_C * 9. / 5. + 32.;        // convert Celcius to Fahrenheit
  pos = map(Temp_C, 0, 100, 180, 0);      // map deg C 0-100 to servo degrees 0-180
  //myservo.write(pos);                     // sets position of servo
  if (pos > prevPos)
  {
    for (int p = prevPos; p <= pos; p += 1) {   // sweeps servo to new value
      myservo.write(p);
      delay(100);
    }
  }
  else
  {
    for (int p = prevPos; p >= pos; p -= 1) {   
      myservo.write(p);
      delay(100);
    }
  }

  prevPos = pos;
  delay(500);
}
